# dnstxt – query a domain(s)’s DNS txt fields

- Synopsis

- Requirements

- Parameters

- Examples

- Return Values

- Status

## Synopsis

- Uses a python library to return the DNS TXT record for a domain.

## Requirements

The below requirements are needed on the local master node that executes this lookup.

- dns/dns.resolver (python library)

## Parameters

Parameter | Choices/Defaults | Configuration | Comments
--- | --- | --- | ---
_terms list / required |  |  | domain or list of domains to query TXT records from

## Examples

    - name: show txt entry
      debug: msg="{{lookup('dnstxt', ['test.example.com'])}}"

    - name: iterate over txt entries
      debug: msg="{{item}}"
      with_dnstxt:
        - 'test.example.com'
        - 'other.example.com'
        - 'last.example.com'

    - name: iterate of a comma delimited DNS TXT entry
      debug: msg="{{item}}"
      with_dnstxt: "{{lookup('dnstxt', ['test.example.com']).split(',')}}"

## Return Values

Common return values are documented here, the following are the fields unique to this lookup:

Key | Returned | Description
--- | --- | ---
_list list |  | values returned by the DNS TXT record.

## Status

- This lookup is not guaranteed to have a backwards compatible interface. [preview]

- This lookup is maintained by the Ansible Community. [community]

### Authors

- Jan-Piet Mens (@jpmens) <jpmens(at)gmail.com>

Hint

If you notice any issues in this documentation, you can edit this document to improve it.

Hint

Configuration entries for each entry type have a low to high priority order. For example, a variable that is lower in the list will override a variable that is higher up.